装了gcc怎么还是不能编译软件阿

为当前最终发行版之前的所有版本提供支持
回复
nagatitan
帖子: 5
注册时间: 2007-07-23 21:07
送出感谢: 0
接收感谢: 0
联系:

装了gcc怎么还是不能编译软件阿

#1

帖子 nagatitan » 2007-07-23 21:13

运行./configure出现错误 是不是光装个gcc不行阿 是不是还得装别的库文件阿
checking for esd-config... no
checking for ESD - version >= 0.2.7... no
*** The esd-config script installed by ESD could not be found
*** If ESD was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the ESD_CONFIG environment variable to the
*** full path to esd-config.
checking for pkg-config... /usr/bin/pkg-config
checking for GLIB - version >= 2.4.0... yes (version 2.12.11)
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GTK+ - version >= 2.4.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error: *** GTK >= 2.4.0 not installed! ***
GTK GLIB什么的 好像都缺 怎么办阿 我是ubuntu菜鸟 想学linux 但怎么这么麻烦阿 都整了好几天了 连个软件也不会编译
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-07-23 21:14

想編譯什麽..
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 nihui » 2007-07-23 21:18

缺甚麽,就 apt 裝甚麽。。

感嘆編譯軟件也有依賴問題啊~~~
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
nagatitan
帖子: 5
注册时间: 2007-07-23 21:07
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 nagatitan » 2007-07-23 21:22

编译这个d4x-2.5.7.1 类似讯雷的下载软件 apt不会用阿
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 BigSnake.NET » 2007-07-23 21:25

nagatitan 写了:编译这个d4x-2.5.7.1 类似讯雷的下载软件 apt不会用阿

代码: 全选

sudo apt-get update; sudo apt-get install d4x
Linux下沒有類似迅雷的下載軟件,用firefox插件DownThemeAll可實現多線程下載
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
nihui
帖子: 1746
注册时间: 2006-10-21 12:03
来自: Shanghai
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 nihui » 2007-07-23 21:27

d4x 更類似于經典版的 flashget (without bt support)
.

私人空间
附有 Magic Linux 2.1 最新开发日志~


미안하다, 사랑한다


欢迎来 #xfce-cn 中文频道~~
nagatitan
帖子: 5
注册时间: 2007-07-23 21:07
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 nagatitan » 2007-07-23 21:43

linux 安装个软件实在是太难了
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2007-07-23 21:45

nagatitan 写了:linux 安装个软件实在是太难了
你自己舍近求遠..
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
雕啸长空
帖子: 1897
注册时间: 2006-09-12 14:09
送出感谢: 0
接收感谢: 0

#9

帖子 雕啸长空 » 2007-07-23 21:53

nagatitan 写了:linux 安装个软件实在是太难了
重装个linux并装好要用的软件,40来分钟足够,重装个windows并装好要用的软件,4个小时还不够.
Fair winds and following seas !
回复

回到 “老旧版本支持”